I emailed Manning and asked about this a few months ago. They told me the book has not been cancelled. Not sure whats going on with its release. I wish something would be said either way.
I have the same issue. I setup a new laptop with a new environment, vs 2015, the updates, the new .net core release, sql 2016, and when i try to add the Nancy framework, it gives me the same error you get. "The dependency Nancy 2.0.0-alpha does not support framework.NETCoreApp, Version=v1.0". I guess i'll wait to read the rest of the book until i can pass the first example.
Is there any work being done on this book? There has not been an update to this book in quite some time.